%define upstream_name    Search-Sitemap
%define upstream_version 2.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for managing Search Engine Sitemaps 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Trigger)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::ClassAttribute)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::Mock::LWP::UserAgent)
BuildRequires: perl(Test::Most)
BuildRequires: perl(XML::Twig)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(ok)
BuildRequires: perl-Test-use-ok
BuildRequires: perl-MooseX-Types-URI
BuildRequires: perl-Test-Mock-LWP
BuildArch:  noarch

%description
Perl extension for managing Search Engine Sitemaps 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.130.0-3.mga4
+ Revision: 514603
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.130.0-2.mga3
+ Revision: 372558
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + kharec <kharec>
    - update to 2.13

* Wed Feb 23 2011 dmorgan <dmorgan> 2.100.0-1.mga1
+ Revision: 57188
- More buildrequires
- imported package perl-Search-Sitemap

